Subject: Re: ip_list_rcv() question

From: Edward Cree <[email-masked]>
Date: Wed, 13 Oct 2021 17:17:51 +0100

On 07/10/2021 13:14, Stephen Suryaputra wrote:
> Under what condition that ip_list_rcv() would restart the sublist, i.e.
> that the skb in the list is having different skb->dev?

IIRC, something earlier in the call chain (possibly
 __netif_receive_skb_core()?) can change skb->dev to something other
 than the device that originally received the packet (orig_dev).  I
 think it's if the packet gets handled/transformed by a software
 netdevice (maybe a VLAN device?).
But really when I wrote ip_list_rcv() I just worked on the basis
 that "I don't know it can't change, so I shall assume it can".

HTH,
-ed